export declare const enum ErrorCode {
    MISSING_VALUE = 0,
    INVALID_VALUE = 1,
    MISSING_INTL_API = 2
}
export declare class FormatError extends Error {
    readonly code: ErrorCode;
    constructor(msg: string, code: ErrorCode);
    toString(): string;
}
export declare class InvalidValueError extends FormatError {
    constructor(variableId: string, value: any, options: string[]);
}
export declare class MissingValueError extends FormatError {
    constructor(variableId: string, originalMessage?: string);
}
